### Hierarchy

- BaseAPI
  - FeesApi

### Implements

- FeesApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- getFeeTransfer
- getFeeTransferRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new FeesApi(configuration?: Configuration ): FeesApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns FeesApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### getFeeTransfer

- getFeeTransfer(initOverrides?: RequestInit): Promise<object>

- Implementation of FeesApiInterface.getFeeTransfer

  - Defined in src/generated/apis/FeesApi.ts:70

  Get an estimated fee rate for STX transfer transactions. This a a fee rate / byte, and is returned as a JSON integer Get estimated fee

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getFeeTransferRaw

- getFeeTransferRaw(initOverrides?: RequestInit): Promise< ApiResponse <object>>

- Implementation of FeesApiInterface.getFeeTransferRaw

  - Defined in src/generated/apis/FeesApi.ts:51

  Get an estimated fee rate for STX transfer transactions. This a a fee rate / byte, and is returned as a JSON integer Get estimated fee

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc